Bug 73222 - smpeg unusable with pygame
smpeg unusable with pygame
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: smpeg (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-31 23:08 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-09 03:54:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-31 23:08:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
when installing pygame ( http://www.pygame.org/download.shtml )
(compiling works etc)
then trying for example the example/sound.py scripts
an error is produced (see actual results)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.compile & install pygame (python setup.py being root)
2.run python examples/sound.py
3.watch the error
	

Actual Results:  s]# python sound.py 
Traceback (most recent call last):
  File "sound.py", line 10, in ?
    import pygame.mixer, pygame.time
ImportError: /usr/lib/libsmpeg-0.4.so.0: undefined symbol: _Unwind_GetIP


Expected Results:  hearing sound

Additional info:


This doesn't happen when installing the normal smpeg 0.4.4-1
Comment 1 Bill Nottingham 2006-08-07 13:22:23 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.

Note You need to log in before you can comment on or make changes to this bug.